<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
 * Default Extension
 *
 * @package		Default module
 * @category	Modules
 * @author		Rein de Vries <info@reinos.nl>
 * @link		http://reinos.nl/add-ons/add-ons
 * @license  	http://reinos.nl/add-ons/commercial-license
 * @copyright 	Copyright (c) 2013 Reinos.nl Internet Media
 */

/**
 * Include the config file
 */
require_once PATH_THIRD.'segment_checker/config.php';
 
class Segment_checker_ext 
{	
	
	public $name			= SEGMENT_CHECKER_NAME;
	public $description		= SEGMENT_CHECKER_DESCRIPTION;
	public $version			= SEGMENT_CHECKER_VERSION;
	public $settings 		= array();
	public $docs_url		= '';
	public $settings_exist	= 'n';
	public $required_by 	= array(SEGMENT_CHECKER_NAME);
	
	private $EE;
	
	/**
	 * Constructor
	 *
	 * @param 	mixed	Settings array or empty string if none exist.
	 */
	public function __construct($settings = '')
	{
		//get the instance of the EE object
		//$this->EE =& get_instance();		
	}

	// ----------------------------------------------------------------------

	/**
	 * sessions_start
	 *
	 * @param 	mixed	Settings array or empty string if none exist.
	 */
	function sessions_start($ee)
	{
		//set the session to the var
		ee()->session = $ee;	
		
		if ( (REQ == 'PAGE' || REQ == 'ACTION'))
		{
			$this->segments = ee()->uri->segment_array();
			$this->segments_without_last = array_slice($this->segments,0,count($this->segments)-1);
		  	$this->total_segments = ee()->uri->total_segments();
			
			//set globals
			
			ee()->config->_global_vars[SEGMENT_CHECKER_MAP.':segment:last'] = $this->segments[$this->total_segments]; //{segment_checker:segment:last}	
			ee()->config->_global_vars[SEGMENT_CHECKER_MAP.':segment:all'] = ee()->uri->uri_string; //{segment_checker:segment:all}
			ee()->config->_global_vars[SEGMENT_CHECKER_MAP.':segment:all_without_paging'] = rtrim(preg_replace('/P\d+/', '', ee()->uri->uri_string), '/'); //{segment_checker:segment:all_without_paging}
			ee()->config->_global_vars[SEGMENT_CHECKER_MAP.':segment:full_without_last'] = implode('/', $this->segments_without_last); //{segment_checker:segment:full_without_last}	
		}	
	}
	
	// ----------------------------------------------------------------------
	
	/**
	 * Activate Extension
	 *
	 * This function enters the extension into the exp_extensions table
	 *
	 * @see http://codeigniter.com/user_guide/database/index.html for
	 * more information on the db class.
	 *
	 * @return void
	 */
	public function activate_extension()
	{
		//the module will install the extension if needed
		return true;
	}	
	
	// ----------------------------------------------------------------------

	/**
	 * Disable Extension
	 *
	 * This method removes information from the exp_extensions table
	 *
	 * @return void
	 */
	function disable_extension()
	{
		//the module will disable the extension if needed
		return true;
	}

	// ----------------------------------------------------------------------

	/**
	 * Update Extension
	 *
	 * This function performs any necessary db updates when the extension
	 * page is visited
	 *
	 * @return 	mixed	void on update / false if none
	 */
	function update_extension($current = '')
	{
		//the module will update the extension if needed
		return true;
	}	
	
	// ----------------------------------------------------------------------
}

/* End of file ext.structure_url_alias.php */
/* Location: /system/expressionengine/third_party/structure_url_alias/ext.structure_url_alias.php */